你的位置:首页 > 操作系统

[操作系统]cocoaPods的配置


本文适用和我一样刚开始入行,且在很多方面找不到方向的伙伴,希望我们越来越好!(操作时尽情玩耍,不会玩坏,相信我)

本人从事iOS开发近一年时间,从头到尾做完了一个商业项目,目前已经正式进入运营阶段,趁这段时间没什么需求,也不用怎么修bug,写一下之前在开发中所遇到的一些问题及解决方法,先从最基本的开始吧!

作为一个开发者,我们不能做一些重复的体力活,特别是第三方的一些框架,这些东西如果手动导入的话会花费大量的时间,并且不利于更新!那么帮助我们做好这件事情的是什么呢?当然是大家都用的非常爽的cocoaPods啦。可能有许多小伙伴跟我一样,一开始想的非常复杂,其实,这个东西只要你熟悉流程和概念了就会非常容易。

(以下所有命令都在终端完成,而且你只需要输入'$'符号后面的命令,如果你对命令行不是很熟悉,请百度或者谷歌一下,这里有一些最基本最常用的命令行供大家参考)

$ pwd (当前所在路径)

$ ls (当前路径下所有文件)

$ cd 文件夹名 (前往并操作文件夹)

$ cd .. (返回上一级)

$ touch 文件名 (新建文件)

$ open 文件名 (打开)

$ rm 文件名 (删除文件)

$ clear (清空打印信息)

一条命令结束,不管正确和错误都会出现以下打印,出现后你就可以操作其它命令了,如果没有出现,请耐心等待。

一些你的Mac的信息:当前目录 管理员名字 $

 

好吧,话不多说,上干货

我们Mac系统自带ruby,所以不需要像大多数文章那样一开始就去配置rvm,ruby之类的,我们可以直奔主题,从配置安装cocoaPods开始:

为了验证我有没有瞎掰,你可以直接检查一下你的Mac上是否有ruby

$ ruby -v 将输出类似以下信息

ruby 2.0.0p481 (2014-05-08 revision 45883) [universal.x86_64-darwin14]

然后继续检测另一个环境

$ gem -v (同样会打印一个版本信息出来)

2.4.8 (这是我电脑上的版本信息,如果你们的跟这个不一样,无所谓,能用就好,如果想要更新的最新的也非常简单只需要以下操作)

$ sudo gem update --system (这个操作会自动更新gem到最新,可能需要管理员密码,输入密码时不会有显示)

等待一段时间后,安装成功后,我们还需要做一点工作,由于在天朝,ruby的软件源被墙了,我们需要更新为国内淘宝的。

$ gem sources --remove https://rubygems.org/这个过程肯能有段时间等待,你可以喝点水或者上个厕所。
然后,输入下面的命令$ gem sources -a http://ruby.taobao.org/
然后可以看看有没有成功
$ gem sources -l 如果成功将会打印下面这段话
*** CURRENT SOURCES ***http://ruby.taobao.org/
好的,你已经完成了一大半工作,接下来就是见证奇迹的时刻了
1. $ sudo gem install cocoapods (需要输入管理员密码,输入时不会显示,输入完成回车即可)
等待直到出现$
2. $ pod setup (这个过程可能会比较慢,耐心等待,这个过程完成了就大功告成,打印信息如下)
 Setting up CocoaPods master repo//可能停留较久,视网速而定
接下来你只需要来个简单的测试,看看有没有成功
$ pod search AFNetworking (如果打印出如下信息,说明已经配置成功,可以愉快的玩耍了)

-> AFNetworking (2.5.4)

   A delightful iOS and OS X networking framework.

   pod 'AFNetworking', '~> 2.5.4'

   - Homepage: https://github.com/AFNetworking/AFNetworking

   - Source:   https://github.com/AFNetworking/AFNetworking.git

   - Versions: 2.5.4, 2.5.3, 2.5.2, 2.5.1, 2.5.0, 2.4.1, 2.4.0, 2.3.1, 2.3.0,

   2.2.4, 2.2.3, 2.2.2, 2.2.1, 2.2.0, 2.1.0, 2.0.3, 2.0.2, 2.0.1, 2.0.0,

   2.0.0-RC3, 2.0.0-RC2, 2.0.0-RC1, 1.3.4, 1.3.3, 1.3.2, 1.3.1, 1.3.0, 1.2.1,

   1.2.0, 1.1.0, 1.0.1, 1.0, 1.0RC3, 1.0RC2, 1.0RC1, 0.10.1, 0.10.0, 0.9.2,

   0.9.1, 0.9.0, 0.7.0, 0.5.1 [master repo]

环境好了,接下来我们要做什么呢?当然是用cocoaPods来开始一个工程了

新建一个工程,记住先忘掉cocoaPods这回事情...该敲hello word就敲hello word,和你平时建立工程的步骤完全一致 (我的工程名为cocoaPodsDemo)!

好的,万能的终端/万能的命令行又要发挥作用了

用命令行找到你刚才新建的工程目录(以桌面为例)

$ pdw (当前目录)

 

/Users/calvin

 

$ ls (当前目录下的所有文件)

 

Desktop Downloads Movies Pictures

 

Documents Library Music Public

 

$ cd Desktop (来到桌面目录)

$ ls (桌面下的文件)

 

Smallparking  cocoaPodsDemo ...

$ cd cocoaPodsDemo (来到你的工程目录)

 

在你的工程目录下新建一个Podfile的文件

$ vim Podfile (会弹出一个框,你在弹出的框中输入(:wq)回车就保存了这个文件,然后会自动回到终端)

$ open Podfile (手动输入以下内容,关闭)

platform :ios, '7.0'pod "AFNetworking", "~> 2.0"

做到这一步的,基本可以说是大功告成了,接下来做一个非常简单的操作

 $ pod install (稍作等待,把你新建的工程关闭,然后重新进入,你会发现多了一个pods的文件夹/一个xcworkspace后缀文件名/一个.lock以及你之前新建的Podfile文件)

[!] Please close any current Xcode sessions and use `cocoaPodsDemo.xcworkspace` for this project from now on.

看到这个打印,你基本可以开香槟庆祝了。

完美,接下来和你做过很多遍的事情一样改怎么导入头文件就怎么导入,忘记cocoaPods这回事情,大功告成,双击xcworkspace文件,command+r 你的项目完美运行了!

补充:$ pod install是不会更新项目中第三方版本的
用 $ pod update 就会更新
还有,当你对Podfile文件进行了修改后,你也需要 $ pod update一下
这些东西基本能保证你在使用coocaPods时不出错,更高级的用法,由于段位不够,咱慢慢来!

(排版什么的没研究过,等我第二篇的时候可能会好一点)